Hermos API

Get Home Summary

Sales from pre-computed totals. Tokens preserve their measure set, snapshot, ranges, currency and availability for seven days. Product and plan filters are supported on revenue.v2; sales_company.v1 returns null sales for filtered views. Revenue Net excludes tax.

GET/reports/home_summary

Sales from pre-computed totals. Tokens preserve their measure set, snapshot, ranges, currency and availability for seven days. Product and plan filters are supported on revenue.v2; sales_company.v1 returns null sales for filtered views. Revenue Net excludes tax.

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

timeframe?string

Value in

  • "today"
  • "7d"
  • "30d"
  • "90d"
  • "12m"
product?string

Product public ID, or all (default). Supported on revenue.v2 tokens.

plans[]?|array<string>

Plan public IDs; a single value is accepted. Deduplicated, maximum 50 distinct IDs. Combined with product when supplied. Supported on revenue.v2 tokens.

as_of?string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/reports/home_summary"
{  "data": {    "object": "report",    "name": "home_summary",    "livemode": true,    "as_of": "string",    "as_of_time": "2019-08-24T14:15:22Z",    "source": "primary",    "timeframe": "today",    "product": "string",    "period": {      "starts_at": "2019-08-24",      "ends_at": "2019-08-24"    },    "previous_period": {      "starts_at": "2019-08-24",      "ends_at": "2019-08-24"    },    "gross": {      "amount": -9007199254740991,      "currency": "string"    },    "previous_gross": {      "amount": -9007199254740991,      "currency": "string"    },    "net": {      "amount": -9007199254740991,      "currency": "string"    },    "previous_net": {      "amount": -9007199254740991,      "currency": "string"    },    "breakdown": {      "refunds": {        "amount": -9007199254740991,        "currency": "string"      },      "chargebacks": {        "amount": -9007199254740991,        "currency": "string"      },      "affiliate_commissions": null,      "tax": {        "amount": -9007199254740991,        "currency": "string"      },      "not_split": {        "amount": -9007199254740991,        "currency": "string"      }    },    "other_currencies": [      {        "currency": "string",        "gross": {          "amount": -9007199254740991,          "currency": "string"        },        "net": {          "amount": -9007199254740991,          "currency": "string"        },        "refunds": {          "amount": -9007199254740991,          "currency": "string"        },        "chargebacks": {          "amount": -9007199254740991,          "currency": "string"        },        "tax": {          "amount": -9007199254740991,          "currency": "string"        },        "not_split": {          "amount": -9007199254740991,          "currency": "string"        }      }    ],    "sales_series": [      {        "starts_at": "2019-08-24T14:15:22Z",        "direct": {          "amount": -9007199254740991,          "currency": "string"        },        "affiliates": null,        "refunds": {          "amount": -9007199254740991,          "currency": "string"        },        "disputes": {          "amount": -9007199254740991,          "currency": "string"        },        "tax": {          "amount": -9007199254740991,          "currency": "string"        }      }    ],    "report_status": {      "measure_set": "sales_company.v1",      "status": "ready",      "waiting_sources": 0,      "filter_unsupported": true    },    "owed_to_affiliates": null,    "mrr": null,    "subscribers": null,    "new_customers": null,    "affiliate_percent": null,    "failed_payments": null,    "urgent_item": null,    "at_a_glance": {      "customers_gained": null,      "customers_lost": null,      "mrr_net": null,      "mrr_changes": null,      "recovered": null,      "recoverable": null,      "trials_converted": null,      "trials_ended": null,      "affiliate_sales": null    }  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}